Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.swing
Class FieldLayout

    java.lang.Object
      org.crosswire.common.swing.AbstractLayout
          org.crosswire.common.swing.FieldLayout

All Implemented Interfaces:
  LayoutManager, LayoutManager2, Serializable

    public class FieldLayout

extends AbstractLayout

Layout Components along with labels that describe them. We ought to consider the Form layout idea that I dreamt up earlier when considering updates to this.

Author:
  Joe Walker [joe at eireneh dot com], Ideas from JDJ article by Claude Duguay
See Also:
  `for license details. The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`private static long` | `serialVersionUID` Serialization ID

Fields inherited from class org.crosswire.common.swing.AbstractLayout
`hgap, vgap`

Constructor Summary
`FieldLayout()` A default FieldLayout with intercomponent spacing of 0.
`FieldLayout(int hgap, int vgap)` FieldLayout with specified intercomponent spacings.

Method Summary
`void` | `layoutContainer(Container target)` layout the specified container
`Dimension` | `minimumLayoutSize(Container target)` The minimum layout size for a given container
`Dimension` | `preferredLayoutSize(Container target)` The preferred layout size for a given container

Methods inherited from class org.crosswire.common.swing.AbstractLayout
`addLayoutComponent, addLayoutComponent, getHgap, getLayoutAlignmentX, getLayoutAlignmentY, getVgap, invalidateLayout, maximumLayoutSize, removeLayoutComponent, setHgap, setVgap, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### FieldLayout

    public FieldLayout()

  A default FieldLayout with intercomponent spacing of 0.

### FieldLayout

    public FieldLayout(int hgap,
                       int vgap)

  FieldLayout with specified intercomponent spacings.

  Parameters:
    `hgap` - The horizontal gaps
    `vgap` - The vertical gaps

Method Detail

### minimumLayoutSize

    public Dimension minimumLayoutSize(Container target)

  The minimum layout size for a given container

### preferredLayoutSize

    public Dimension preferredLayoutSize(Container target)

  The preferred layout size for a given container

### layoutContainer

    public void layoutContainer(Container target)

  layout the specified container

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD